%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define oname ppx_expect
Name:           ocaml-%{oname}
Version:        113.24.00
Release:        %mkrel 4
Summary:        Cram like framework for OCaml
License:        Apache 2.0
Group:          Development/OCaml
URL:            https://github.com/janestreet/ppx_expect
Source0:        https://github.com/janestreet/ppx_expect/archive/%{version}.tar.gz
BuildRequires:  ocaml-findlib >= 1.3.2
BuildRequires:  ocaml-oasis >= 0.4
BuildRequires:  opam
BuildRequires:  ocaml-fieldslib-devel
BuildRequires:  ocaml-ppx_assert-devel
BuildRequires:  ocaml-ppx_compare-devel
BuildRequires:  ocaml-ppx_core-devel
BuildRequires:  ocaml-ppx_custom_printf-devel
BuildRequires:  ocaml-ppx_driver-devel
BuildRequires:  ocaml-ppx_fields_conv-devel
BuildRequires:  ocaml-ppx_inline_test-devel
BuildRequires:  ocaml-ppx_sexp_conv-devel
BuildRequires:  ocaml-ppx_sexp_value-devel
BuildRequires:  ocaml-ppx_tools-devel
BuildRequires:  ocaml-ppx_variants_conv-devel
BuildRequires:  ocaml-re-devel
BuildRequires:  ocaml-sexplib-devel
BuildRequires:  ocaml-variantslib-devel

%description
Cram like framework for OCaml

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n %{oname}-%{version}

%build
./configure \
    --prefix %{_prefix} \
    --libdir %{_libdir} \
    --libexecdir %{_libexecdir} \
    --exec-prefix %{_exec_prefix} \
    --bindir %{_bindir} \
    --sbindir %{_sbindir} \
    --mandir %{_mandir} \
    --datadir %{_datadir} \
    --localstatedir %{_localstatedir} \
    --sharedstatedir %{_sharedstatedir} \
    --destdir %{buildroot}
make

%install
opam-installer --prefix=%{buildroot}%{_prefix} --libdir=%{buildroot}%{_libdir}/ocaml %{oname}.install

# This requires non existent Ocaml_re
rm -f %{buildroot}%{_libdir}/ocaml/%{oname}/expect_test_evaluator_lib*

%files
%dir %{_libdir}/ocaml/%{oname}
%{_libdir}/ocaml/%{oname}/META
%{_libdir}/ocaml/%{oname}/*.cmi
%{_libdir}/ocaml/%{oname}/*.cma
%{_libdir}/ocaml/%{oname}/*.a
%{_libdir}/ocaml/%{oname}/*.cmxa
%{_libdir}/ocaml/%{oname}/*.cmxs
%{_libdir}/ocaml/%{oname}/ppx
%{_libdir}/ocaml/stubslibs/dllexpect_test_evaluator_lib_stubs.so

%files devel
%{_libdir}/ocaml/%{oname}/*.annot
%{_libdir}/ocaml/%{oname}/*.cmt
%{_libdir}/ocaml/%{oname}/*.cmti
%{_libdir}/ocaml/%{oname}/*.cmx


%changelog
* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-4.mga6
+ Revision: 977713
- Do not ship expect_test_evaluator_lib as it requires Ocaml_re which I failed to find

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-3.mga6
+ Revision: 977425
- Rebuild for new sexplib

* Tue Feb 23 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 977397
- Rebuild for ocaml-re

* Sun Feb 21 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 975862
- imported package ocaml-ppx_expect

